Uploading offline conversions

Uploads offline conversions.

Tip

Create a CSV file with the data and send it using this method. We also recommend generating API requests automatically using modules written in a programming language.

To learn about the data to transmit and view a sample request, see Transmitting offline conversions

Note

  1. It can take up to 2 hours to process the data.
  2. The file size limit is 1 GB.
  3. The file encoding is UTF-8.

Request

POST

https://api-metrika.yandex.net/management/v1/counter/{counterId}/offline_conversions/upload

Path parameters

Name

Description

counterId

Type: integer

ID of the counter for which you want to upload offline conversions.

Query parameters

Name

Description

comment

Type: string

Comment. Maximum 255 characters. Can contain digits as well as Latin and Cyrillic letters.

Example: ``

type

Type: string

Offline conversion type. Possible values:

  • BASIC: Default type.
  • CALLS: Calls.
  • CHATS: Chats.

Default: BASIC

Example: BASIC

Body

multipart/form-data
{
  "file": "example"
}

Name

Description

file

Type: string<binary>

Offline conversions to upload, which are passed as multipart/form-data. The file size limit is 1 GB. The file encoding is UTF-8.

Example: example

Responses

200 OK

OK

Body

application/json
{
  "uploading": {
    "id": 0,
    "create_time": "2025-01-01T00:00:00Z",
    "source_quantity": 0,
    "line_quantity": 0,
    "comment": "example",
    "type": "BASIC",
    "client_id_type": "USER_ID",
    "status": "example",
    "goal_not_found_quantity": 0,
    "user_not_found_quantity": 0,
    "linked_quantity": 0
  }
}

Name

Description

uploading

Type: OfflineConversionUploading

Information about an upload of offline conversions.

Example
{
  "id": 0,
  "create_time": "2025-01-01T00:00:00Z",
  "source_quantity": 0,
  "line_quantity": 0,
  "comment": "example",
  "type": "BASIC",
  "client_id_type": "USER_ID",
  "status": "example",
  "goal_not_found_quantity": 0,
  "user_not_found_quantity": 0,
  "linked_quantity": 0
}

OfflineConversionUploading

Information about an upload of offline conversions.

Name

Description

client_id_type

Type: string

Type of user IDs. Possible values:

  • USER_ID: Site user ID assigned by the site owner.
  • CLIENT_ID: Site user ID assigned by Yandex Metrica.
  • YCLID: ID of a click on a Yandex Direct ad assigned by Yandex Direct.

Example: USER_ID

comment

Type: string

Arbitrary comment. The maximum number of characters is 255.

Min length: 0

Max length: 255

Example: example

create_time

Type: string<date-time>

Upload time.

Example: 2025-01-01T00:00:00Z

goal_not_found_quantity

Type: integer

id

Type: integer

Upload ID.

line_quantity

Type: integer

Number of rows that passed validation during upload.

linked_quantity

Type: integer

source_quantity

Type: integer

Number of rows in the source file.

status

Type: string

Upload status:

  • PREPARED: Upload prepared.
  • UPLOADED: Upload complete.
  • EXPORTED: Upload exported.
  • MATCHED: Event IDs matched.
  • PROCESSED: Upload processed.
  • LINKAGE_FAILURE: Couldn't find a matching user ID. If you send data on static calls, they won't be attributed to sessions in Yandex Metrica, but they will appear in your call reports.

Example: example

type

Type: string

Possible values:

  • BASIC: Default type.
  • CALLS: Calls.
  • CHATS: Chats.

Example: BASIC

user_not_found_quantity

Type: integer

Example
{
  "id": 0,
  "create_time": "2025-01-01T00:00:00Z",
  "source_quantity": 0,
  "line_quantity": 0,
  "comment": "example",
  "type": "BASIC",
  "client_id_type": "USER_ID",
  "status": "example",
  "goal_not_found_quantity": 0,
  "user_not_found_quantity": 0,
  "linked_quantity": 0
}